Modules
POST
/app-api/v1/auth/reset-passwordReset password with OTP (phone or email)
Parameters
| Name | In | Required | Description |
|---|---|---|---|
| x-request-id | header | No | Optional correlation id. Generated when omitted. |
Request Body
ResetPasswordDtoobject
phonestring
emailstring
reset_otpstring
passwordstring
confirm_passwordstring
Required: reset_otp, password, confirm_password
Related Schemas
ResetPasswordDto
phonestring
emailstring
reset_otpstring
passwordstring
confirm_passwordstring
Required: reset_otp, password, confirm_password
Code samples
Generated from the current environment and the request configured in the Try-it panel.
curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/auth/reset-password' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'apptype: android' \
-H 'appver: 1.0.0' \
-H 'webver: 1.0.0' \
-H 'portalver: 1.0.0' \
-H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
-d '{
"reset_otp": "1234",
"password": "Student@123",
"confirm_password": "Student@123"
}' \